%define oname   glib2
%global	header_dir	%{ruby_vendorarchdir}

Name:       ruby-%{oname}
Version:    4.1.4
Release:    %mkrel 1
Summary:    Ruby/GLib2 is a Ruby binding of GLib-2.x
License:    GPLv2
Group:      Development/Ruby
URL:        https://ruby-gnome.github.io/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
# Drop -Wl,--no-undefined from DLDFLAGS rather than LDFLAGS.
# This is where it is set.
Patch0:     no-undefined.patch
# Do not install missing packages
Patch1:     native-package-installer.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: glib2-devel
BuildRequires: rubygem(pkg-config)
BuildRequires: rubygem(test-unit)

%description
Ruby/GLib2 is a Ruby binding of GLib-2.x.

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}.

%files          devel
%{header_dir}/*.h

#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1
%gemspec_remove_dep -g native-package-installer

%build
%gem_build

%install
%gem_install -d


%changelog
* Sun May 07 2023 daviddavid <daviddavid> 4.1.4-1.mga9
+ Revision: 1956066
- new version: 4.1.4, fixes build with latest glib2

* Wed Sep 14 2022 pterjan <pterjan> 4.0.3-1.mga9
+ Revision: 1888176
- Update to 4.0.3

* Sat Mar 26 2022 umeabot <umeabot> 3.5.1-3.mga9
+ Revision: 1828069
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 3.5.1-2.mga9
+ Revision: 1784866
- Fix build of modules depending on each other

* Fri Feb 25 2022 pterjan <pterjan> 3.5.1-1.mga9
+ Revision: 1784841
- Update to 3.5.1

* Fri Feb 25 2022 pterjan <pterjan> 3.4.1-2.mga9
+ Revision: 1784584
- Rebuild for Ruby 3.1

* Tue Mar 03 2020 pterjan <pterjan> 3.4.1-1.mga8
+ Revision: 1553217
- Update to 3.4.1
- Rebuild for ruby 2.7
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Jul 06 2019 pterjan <pterjan> 3.3.6-1.mga8
+ Revision: 1419079
- Update to 3.3.6

* Sat Jan 26 2019 pterjan <pterjan> 3.3.1-1.mga7
+ Revision: 1360944
- Update to 3.3.1

* Sun Nov 04 2018 pterjan <pterjan> 3.3.0-1.mga7
+ Revision: 1328172
- Update to 3.3.0

* Sat Aug 25 2018 pterjan <pterjan> 3.2.9-1.mga7
+ Revision: 1254165
- Update to 3.2.9

* Mon Jun 18 2018 pterjan <pterjan> 3.2.7-1.mga7
+ Revision: 1237644
- Update to 3.2.7

* Thu May 17 2018 pterjan <pterjan> 3.2.5-1.mga7
+ Revision: 1230088
- Update to 3.2.5

* Mon Apr 23 2018 pterjan <pterjan> 3.2.4-1.mga7
+ Revision: 1221851
- Update to 3.2.4

* Mon Apr 02 2018 pterjan <pterjan> 3.2.2-1.mga7
+ Revision: 1214603
- Update to 3.2.2

* Sun Mar 25 2018 pterjan <pterjan> 3.2.1-1.mga7
+ Revision: 1212314
- Update to 3.2.1

* Mon Jan 01 2018 pterjan <pterjan> 3.1.8-5.mga7
+ Revision: 1188665
- Rebuild for Ruby 2.5

* Wed Aug 16 2017 pterjan <pterjan> 3.1.8-4.mga7
+ Revision: 1141126
- Remove support for native-package-installer (fixes ruby-gobject-introspection build)

* Tue Aug 15 2017 pterjan <pterjan> 3.1.8-3.mga7
+ Revision: 1141114
- Try to fix ruby-pango build

* Tue Aug 15 2017 pterjan <pterjan> 3.1.8-2.mga7
+ Revision: 1141088
- Remove native-package-installer dependency from the package

* Tue Aug 15 2017 pterjan <pterjan> 3.1.8-1.mga7
+ Revision: 1141050
- Use vendor dir, not site
- Update to 3.1.8
- Rebuild for new Ruby

* Sun Dec 20 2015 tv <tv> 3.0.7-3.mga6
+ Revision: 912638
- remove bogus mv
+ pterjan <pterjan>
- Drop unused exclude

* Sun Nov 01 2015 tv <tv> 3.0.7-1.mga6
+ Revision: 897058
- adjust file list
- new release + sync patches with FC
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-9.mga5
+ Revision: 750092
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-8.mga5
+ Revision: 688819
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.0.2-7.mga4
+ Revision: 562769
- Fix patch now that extension is no longer duplicated

* Fri Dec 27 2013 pterjan <pterjan> 2.0.2-6.mga4
+ Revision: 561001
- Fix gem macros
- Fix file list

* Thu Dec 19 2013 pterjan <pterjan> 2.0.2-4.mga4
+ Revision: 558692
- Fix build when ruby-glib2 is not already available
- Fix extension packaging + make mkmf-gnome2 able to find them

* Mon Dec 16 2013 pterjan <pterjan> 2.0.2-3.mga4
+ Revision: 557510
- Put the .so when it is expected

* Mon Oct 21 2013 umeabot <umeabot> 2.0.2-2.mga4
+ Revision: 538030
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 2.0.2-1.mga4
+ Revision: 488336
- new version 2.0.2
- use new gem_install

* Sat Sep 28 2013 fwang <fwang> 1.1.5-6.mga4
+ Revision: 488191
- update file list
- update file list

* Sat Sep 28 2013 fwang <fwang> 1.1.5-5.mga4
+ Revision: 488173
- update file list
- install headers
- update file list
+ pterjan <pterjan>
- Rebuild for Ruby 2

* Wed Sep 11 2013 pterjan <pterjan> 1.1.5-4.mga4
+ Revision: 477461
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 396004
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-2.mga3
+ Revision: 380945
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.1.5-1.mga3
+ Revision: 312194
- update file list
- new version 1.1.5

* Mon Sep 26 2011 fwang <fwang> 1.0.3-1.mga2
+ Revision: 147906
- new version 1.0.3

* Sun Sep 18 2011 fwang <fwang> 1.0.2-2.mga2
+ Revision: 145087
- update file list
- update file list
- use gem tarball
- use gem

* Sun Sep 18 2011 fwang <fwang> 1.0.2-1.mga2
+ Revision: 145069
- disble check
- build glib and gio
- 1.0.2

* Mon Mar 14 2011 shikamaru <shikamaru> 0.90.8-1.mga1
+ Revision: 71366
- Add glib-test-init.rb in devel subpackage since it’s required for other
  ruby-gnome2 modules (pango for instance)
- oops, forgot to add the patches
- New version 0.90.8
- add 2 patches:
  - prefer system test-unit over bundled one
  - subsequently add it as a BR
  - do not call make in test
- move files in vendorlibdir/vendorarchdir
- fix file list
- add check section

* Tue Feb 08 2011 shikamaru <shikamaru> 0.90.7-1.mga1
+ Revision: 49082
- imported package ruby-glib2


* Tue Feb 08 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.90.7-1
- Initial package
